/* $Workfile: OsaLinuxSpi.h $   $Revision: 7 $    $Modtime: 5/05/10 3:20p $  */
/*******************************************************************************

  Odin TeleSystems Inc.

  OTX Telecom Adapter Driver

  @doc internal

  @module

  @normal Copyright (C) Odin TeleSystems Inc., 2007-2010, All Rights Reserved

*******************************************************************************/

#ifndef OSA_LINUX_SPI_H
#define OSA_LINUX_SPI_H


#include "../OsaRtl.h"  // For wchar_t with C compile


#ifdef __cplusplus
extern "C" {
#else
#endif

extern OsaBool32 OsaLinuxSpiIsOpen(void);

extern int OsaLinuxSpiOpen(void);
extern int OsaLinuxSpiClose(void);

extern int OsaLinuxSpiAccess(OsaUint32 nChannel, OsaUint16 *sqBuf, OsaUint32 cbBuf);

#if 1 // Temporary, will be converted to OsaLinuxSpiAccess() calls later
extern int OsaLinuxSpiRead8Ch1(OsaUint32 nAddress, OsaUint8 *nData);
extern int OsaLinuxSpiWrite8Ch1(OsaUint32 nAddress, OsaUint8 nData);

extern int OsaLinuxSpiReadBufCh1(OsaUint32 nAddress, OsaUint8 *sqData, OsaUint32 cbData);
extern int OsaLinuxSpiWriteBufCh1(OsaUint32 nAddress, OsaUint8 *sqData, OsaUint32 cbData);
#endif


#ifdef __cplusplus
}
#endif

#endif  // OSA_LINUX_SPI_H

